package org.ow2.petals.bc.filetransfer.service;

import java.util.logging.Logger;

import org.ow2.petals.component.framework.api.configuration.ConfigurationExtensions;
import org.ow2.petals.component.framework.api.message.Exchange;

public abstract class AbstractFileService implements IFileService{
    protected Logger logger;

    protected ConfigurationExtensions extensions;

    public AbstractFileService(ConfigurationExtensions extensions, Logger logger) {
        super();
        this.extensions = extensions;
        this.logger = logger;
    }
    
    public abstract void process(Exchange exchange);
}
